"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.body = void 0;
const BodyParameterExtractor_1 = require("../../../parameters/BodyParameterExtractor");
const DecoratorRegistry_1 = require("../../../reflection/DecoratorRegistry");
/**
 * Decorator which injects the HTTP request body as a parameter value.
 *
 * Value passed to the method will be an object, array or primitive value
 * if the request body is JSON, otherwise it will be a string.
 */
function body(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new BodyParameterExtractor_1.BodyParameterExtractor();
}
exports.body = body;
//# sourceMappingURL=body.js.map