/**
 * Decorator that can be placed on a method to mark it is an API endpoint
 * that responds to HTTP GET requests.
 *
 * @param path The URL path that triggers this endpoint; optional if you set a root path on the
 *             class using a `apiController` decorator. This URL can contain path parameters,
 *             prefixed with a colon (':') character.
 */
export declare function GET(path?: string): (classDefinition: Object, methodName: string) => void;
/**
 * Decorator that can be placed on a method to mark it is an API endpoint
 * that responds to HTTP POST requests.
 *
 * @param path The URL path that triggers this endpoint; optional if you set a root path on
 *             the class using a `apiController` decorator. This URL can contain path parameters,
 *             prefixed with a colon (':') character.
 */
export declare function POST(path?: string): (classDefinition: Object, methodName: string) => void;
/**
 * Decorator that can be placed on a method to mark it is an API endpoint
 * that responds to HTTP PUT requests.
 *
 * @param path The URL path that triggers this endpoint; optional if you set a root path on
 *             the class using a `apiController` decorator. This URL can contain path parameters,
 *             prefixed with a colon (':') character.
 */
export declare function PUT(path?: string): (classDefinition: Object, methodName: string) => void;
/**
 * Decorator that can be placed on a method to mark it is an API endpoint
 * that responds to HTTP DELETE requests.
 *
 * @param path The URL path that triggers this endpoint; optional if you set a root path on
 *             the class using a `apiController` decorator. This URL can contain path parameters,
 *             prefixed with a colon (':') character.
 */
export declare function DELETE(path?: string): (classDefinition: Object, methodName: string) => void;
/**
 * Decorator that can be placed on a method to mark it is an API endpoint
 * that responds to HTTP PATCH requests.
 *
 * @param path The URL path that triggers this endpoint; optional if you set a root path on
 *             the class using a `apiController` decorator. This URL can contain path parameters,
 *             prefixed with a colon (':') character.
 */
export declare function PATCH(path?: string): (classDefinition: Object, methodName: string) => void;
